
From: Christoph Hellwig <hch@lst.de>

All filesystems have been switched to page_follow_link_light

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/namei.c         |   13 -------------
 25-akpm/include/linux/fs.h |    1 -
 2 files changed, 14 deletions(-)

diff -puN fs/namei.c~remove-page_follow_link fs/namei.c
--- 25/fs/namei.c~remove-page_follow_link	2004-10-24 23:48:41.106464528 -0700
+++ 25-akpm/fs/namei.c	2004-10-24 23:48:41.117462856 -0700
@@ -2336,18 +2336,6 @@ void page_put_link(struct dentry *dentry
 	}
 }
 
-int page_follow_link(struct dentry *dentry, struct nameidata *nd)
-{
-	struct page *page = NULL;
-	char *s = page_getlink(dentry, &page);
-	int res = __vfs_follow_link(nd, s);
-	if (page) {
-		kunmap(page);
-		page_cache_release(page);
-	}
-	return res;
-}
-
 int page_symlink(struct inode *inode, const char *symname, int len)
 {
 	struct address_space *mapping = inode->i_mapping;
@@ -2403,7 +2391,6 @@ EXPORT_SYMBOL(getname);
 EXPORT_SYMBOL(lock_rename);
 EXPORT_SYMBOL(lookup_hash);
 EXPORT_SYMBOL(lookup_one_len);
-EXPORT_SYMBOL(page_follow_link);
 EXPORT_SYMBOL(page_follow_link_light);
 EXPORT_SYMBOL(page_put_link);
 EXPORT_SYMBOL(page_readlink);
diff -puN include/linux/fs.h~remove-page_follow_link include/linux/fs.h
--- 25/include/linux/fs.h~remove-page_follow_link	2004-10-24 23:48:41.108464224 -0700
+++ 25-akpm/include/linux/fs.h	2004-10-24 23:48:41.118462704 -0700
@@ -1605,7 +1605,6 @@ extern struct file_operations generic_ro
 extern int vfs_readlink(struct dentry *, char __user *, int, const char *);
 extern int vfs_follow_link(struct nameidata *, const char *);
 extern int page_readlink(struct dentry *, char __user *, int);
-extern int page_follow_link(struct dentry *, struct nameidata *);
 extern int page_follow_link_light(struct dentry *, struct nameidata *);
 extern void page_put_link(struct dentry *, struct nameidata *);
 extern int page_symlink(struct inode *inode, const char *symname, int len);
_
